Name:           xhotkeys
Version:        0.9.8.3
Release:        7%{?dist}
Summary:        Hotkeys for the X-Window
Summary(pl):    Skróty klawiszowe dla X-okien
Group:          User Interface/X
License:        GPLv2+
URL:            http://www.nongnu.org/xhotkeys/
Source0:        http://download.savannah.nongnu.org/releases/%{name}/%{name}_%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         install_locations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils python-xlib ImageMagick
Requires:       hicolor-icon-theme python-xlib
BuildArch:      noarch

%description
Xhotkeys provides a simple and easily configurable hotkey launcher for
the X-Window System, binding keys and mouse buttons to configurable commands.
It should work on all desktops (Gnome, KDE, Xfce, ...) available for the
GNU/Linux operating system. Configuration files can be modified manually or
using a graphical GTK+ configurator.

%description -l pl
Xhotkeys udostępnia proste i łatwo do skonigurowania uruchamianie za pomocą
klawiatury dla systemu X-okien, skróty klawiszowe i przycisków myszki
do konfigurowanych komend. Aplikacja powinna działać ze wszystkimi graficznymi
środowiskami (Gnome, KDE, Xfce, ...) dostępnymi dla GNU/Linux systemów
operacyjnych. Konfiguracja plików jest możliwa ręcznie lub za pomocą
graficznego GTK+ konfiguratora.

%prep
%setup -q -n %{name}
%patch0

%build
#nothing to build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install --vendor="fedora"               \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc README TODO COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 04 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-5
- Correct .desktop

* Sat Feb 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-4
- Fix BRs and Rs
- Add install_locations patch
- Correct install section
- Correct files section

* Sat Feb 02 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-3
- Fix BRs

* Fri Feb 01 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-2
- Correct install section
- Correct files section

* Fri Feb 01 2008 Krzysztof Kurzawski <kurzawax at gmail.com> - 0.9.8.3-1
- First release
